<%@ page pageEncoding="UTF-8" %><%@ page import="java.io.*" import="java.util.*"
	import="org.opencms.jsp.*" import="org.opencms.file.*"%>
<%

class CityTranslator {
    private byte[] xmlData;

    public CityTranslator(byte[] xmlData) {
        this.xmlData = xmlData;
    }

    public String getTranslation(String city, String lang) {
        // languages are keyed by swedish - no translation necessary
        if (lang.equals("sv")) { return city; }

        String cityTranslated = null;

        InputStream is = new ByteArrayInputStream(this.xmlData);
        BufferedReader br = new BufferedReader(new InputStreamReader(is));

        String line;

        int num = 0;
        // swedish|english|norwegian|finnish|denmark
        if (lang.equals("en")) { num = 1; }
        if (lang.equals("no")) { num = 2; }
        if (lang.equals("fi")) { num = 3; }
        if (lang.equals("dk")) { num = 4; }

        try {
            while ((line = br.readLine()) != null)  {
                if (line.length() < 1) { continue; }
                if (line.startsWith("#")) { continue; }

                String[] parts = line.split("\\|");

                String original = parts[0];

                if (! city.equals(original)) { continue; }
                
                cityTranslated = parts[num];
            }
        } catch (IOException e) {
            // didn't get translation
        }

        // if no translation found, fall back to original
        if (cityTranslated == null) { cityTranslated = city; }

        return cityTranslated;

    }
}

CmsJspActionElement cityTranslatorJsp = new CmsJspActionElement(pageContext, request, response);
CmsObject cityTranslatorCms = cityTranslatorJsp.getCmsObject();

CmsFile cityTranslatorCmsFile = cityTranslatorCms.readFile("/system/modules/com.gridnine.opencms.ticketbrokerage.site/elements/cities_translated.txt");

CityTranslator cityTranslator = new CityTranslator(cityTranslatorCmsFile.getContents());

%>